--- title: "Get user" slug: "gamepot-getuserinfo" updated: 2026-09-17T10:05:44Z published: 2026-09-17T10:05:44Z canonical: "api.ncloud-docs.com/gamepot-getuserinfo" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Get user Available in Classic and VPC Get user details. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /v2/member/{memberId} | ### Request headers For information about the headers common to all GAMEPOT 3.0 APIs, see [GAMEPOT 3.0 request headers](/docs/en/gamepot-overview#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `memberId` | String | Required | User ID - Check from **User > List** in the GAMEPOT 3.0 dashboard. | ### Request example The request example is as follows: ``` curl --location --request GET 'https://dashboard-api.gamepot.ntruss.com/v2/member/faa90e5e-****-****-****-f3050b8c5013' \ --header 'x-api-key: {API Key}' \ --header 'x-project-id: {Project ID}' \ --header 'Accept: application/json' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `id` | String | - | User ID | | `deleted` | Boolean | - | Withdrawal status - `true` \| `false` - `true`: Unsubscribed - `false`: Not unsubscribed | | `store_id` | String | - | Store ID | | `country` | String | - | Access country - ISO 3166-1 standard | | `remoteip` | String | - | Access IP address | | `nickname` | String | - | User name | | `adid` | String | - | Ad ID (ADID) | | `device` | String | - | Device | | `network` | String | - | Direct control | | `version` | String | - | Version | | `model` | String | - | Model | | `token` | String | - | Push token | | `push` | Boolean | - | Push consent - `true` \| `false` - `true`: Consent - `false`: Decline | | `push_date` | Object | - | Push consent/decline date and time | | `push_date.on` | String | - | Push consent date and time - ISO 8601 format | | `push_date.off` | String | - | Push decline date and time - ISO 8601 format | | `night` | Boolean | - | Night push consent - `true` \| `false` - `true`: Consent - `false`: Decline | | `night_date` | Object | - | Night push consent/decline date and time | | `night_date.on` | String | - | Night push consent date and time - ISO 8601 format | | `night_date.off` | String | - | Night push decline date and time - ISO 8601 format | | `ad` | Boolean | - | Ad push consent - `true` \| `false` - `true`: Consent - `false`: Decline | | `memo` | String | - | Note for user | | `device_id` | String | - | Device ID | | `agree` | Object | - | Terms and Conditions consent information | | `agree.termsofuse` | String | - | Terms and Conditions consent - `Y` \| `N` - `Y`: Consent - `N`: Decline | | `agree.termsofuseAt` | String | - | Terms and Conditions consent/decline date and time - ISO 8601 format | | `agree.privacypolicy` | String | - | Privacy policy consent - `Y` \| `N` - `Y`: Consent - `N`: Decline | | `agree.privacypolicyAt` | String | - | Privacy policy consent/decline date and time - ISO 8601 format | | `verify` | Object | - | Identify verification information | | `verify.key` | String | - | Identity verification key | | `verify.updatedAt` | String | - | Identity verification date and time | | `adult` | Boolean | - | Adult verification | | `gdpr` | Object | - | GDPR Terms and Conditions consent information | | `gdpr.status` | Integer | - | GDPR status code | | `gdpr.email_verified` | Boolean | - | Email address verification status - `true` \| `false` - `true`: Verification completed - `false`: Verification required | | `gdpr.checked_story_category_ids` | Array | - | Checked items among GDPR-related items | | `local` | Object | - | Local authentication information | | `local.status` | Integer | - | Local authentication status code | | `local.email_cert_key` | String | - | Email verification key | | `local.email_cert_expired_at` | String | - | Email verification expiration date and time | | `userdata` | String | - | User data | | `createdAt` | String | - | Creation date and time - ISO 8601 format | | `updatedAt` | String | - | Information modification date and time - ISO 8601 format | | `loginedAt` | String | - | Last login date and time - ISO 8601 format | | `deletedAt` | String | - | Withdrawal date and time - ISO 8601 format | ### Response status codes For information about the response status codes common to all GAMEPOT 3.0 APIs, see [GAMEPOT 3.0 response status codes](/docs/en/gamepot-overview#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "id": "TWVtYmVyOmZh**************************************hjNTAxMw==", "deleted": false, "store_id": "apple", "country": "KR", "remoteip": "**.**.**.**", "nickname": null, "adid": "", "device": "IOS", "network": "WiFi", "version": "17.5.1", "model": "iPhone13,1", "token": "a9f84127**************************************************3df5e5", "push": true, "push_date": { "on": "2025-09-18T17:09:22+09:00", "off": null }, "night": true, "night_date": { "on": "2025-09-18T17:09:22+09:00", "off": "2025-08-29T12:01:13+09:00" }, "ad": true, "memo": null, "device_id": "D6057F17-****-****-****-AB98D510CC2B", "agree": { "termsofuse": "Y", "termsofuseAt": "2025-08-29T12:01:13+09:00", "privacypolicy": "Y", "privacypolicyAt": "2025-08-29T12:01:13+09:00" }, "verify": { "key": null, "updatedAt": null }, "adult": null, "gdpr": { "status": 0, "email_verified": null, "checked_story_category_ids": [] }, "local": { "status": 0, "email_cert_key": null, "email_cert_expired_at": null }, "userdata": null, "createdAt": "2025-08-29T12:01:12+09:00", "updatedAt": "2025-09-18T17:09:22+09:00", "loginedAt": "2025-09-18T17:09:22+09:00", "deletedAt": null } ```